Chuyển đến nội dung
Diễn đàn CADViet

pdhuyxn2

Thành viên
  • Số lượng nội dung

    61
  • Đã tham gia

  • Lần ghé thăm cuối

Cộng đồng

-6 (hơi kém)

About pdhuyxn2

  • Cấp bậc
    biết vẽ pline

Khách truy cập Tiểu sử gần đây

Khối khách truy cập gần đây đã bị vô hiệu và không được hiển thị cho người dùng khác.

  1. Bác có thế Chỉnh Sửa LISP Copy từ EXCEL hàng Dọc PAS sang CAD hàng ngang được không A? Nhờ Các Bác trên Diễn Đàn Giúp đỡ. Cám ơn các Bác nhiều ạ...
  2. pdhuyxn2

    Dóng kích thước hàng loạt các Block

    Bác có thể cho Em Xin File .lsp được không ạ ? Cám Ơn Bác Nhiều...
  3. pdhuyxn2

    Dóng kích thước hàng loạt các Block

    Ngon Rồi Bác ơi Cám ơn bác Nhiều ...
  4. pdhuyxn2

    Dóng kích thước hàng loạt các Block

    Vẫn File cad này mà Bác! Giong kich thuoc cac Block.dwg
  5. pdhuyxn2

    Dóng kích thước hàng loạt các Block

    Sao EM làm vẫn không được Bác ơi ? Dânhs lệnh ATT thì Không được. Đánh lệnh DAT thì giống như Lisp cũ Bác Ạ.
  6. pdhuyxn2

    Dóng kích thước hàng loạt các Block

    Đúng rồi bác ơi. Nhiều khi điểm đặt Block không nằm tại Plyline Bác Ạ. VD như file em cad gửi thì Vt6 không nằm tại Polyline lên không dóng được.
  7. pdhuyxn2

    Dóng kích thước hàng loạt các Block

    Cám ơn Bác đã giúp đỡ. Nhưng Bác ơi Bác có thể chỉnh Lisp trong trường hợp Block nằm lệch đường Plyline vẫn có thể dóng kích thước được không ạ.
  8. pdhuyxn2

    Dóng kích thước hàng loạt các Block

    Đúng rồi Bạn ơi Lisp này dóng kích thước tại các đỉnh Polyline mà.
  9. pdhuyxn2

    Dóng kích thước hàng loạt các Block

    Nhờ các Bác trên diễn đàn giúp đỡ chỉnh sửa lisp này thành lisp dóng kích thước hàng loạt các block. ;; AUTO DIMALINGED LINES AND POLYLINES ;;;------------------------------------------------------------- (defun TBCong (x1 x2) (/ (+ x1 x2) 2)) ;;;Trung binh cong ;;;------------------------------------------------------------- (defun MidP (p1 p2) ;;;Midpoint (list (TBCong (car p1) (car p2)) (TBCong (cadr p1) (cadr p2)) (TBCong (caddr p1) (caddr p2))) ) ;;;------------------------------------------------------------- (defun getVert (e / i L) ;;;Return list of all vertex from pline e (setq i 0 L nil) (vl-load-com) (repeat (fix (+ (vlax-curve-getEndParam e) 1)) (setq L (append L (list (vlax-curve-getPointAtParam e i)))) (setq i (1+ i)) ) L ) ;;;------------------------------------------------------------- (defun etype (e) (cdr (assoc 0 (entget e)))) ;;;Entity type ;;;------------------------------------------------------------- (defun dim2p (p1 p2 s) ;;;Dimaligned 2 Point (command "dimaligned" p1 p2 (polar (MidP p1 p2) (+ (angle p1 p2) (/ pi 2)) s)) ) ;;;------------------------------------------------------------- (defun dimLine(e s) ;;;Dimaligned Line (dim2p (cdr (assoc 10 (entget e))) (cdr (assoc 11 (entget e))) s) ) ;;;------------------------------------------------------------- (defun dimPline(e s) ;;;Dimaligned PLine (setq Lp (getvert e) i 0) (repeat (1- (length Lp)) (dim2p (nth i Lp) (nth (1+ i) Lp) s) (setq i (1+ i)) ) ) ;;;------------------------------------------------------------- (defun C:ATD( / ss s oldos e) ;;;AutoDimaligned Line & Pline (if (not s0) (setq s0 0)) (setq ss (ssget '((0 . "LINE,LWPOLYLINE"))) s (getdist (strcat "\nKhoang cach tu doi tuong den duong kich thuoc <" (rtos s0) ">:")) oldos (getvar "osmode") ) (if (not s) (setq s s0) (setq s0 s)) (setvar "osmode" 0) (while (setq e (ssname ss 0)) (if (= (etype e) "LINE") (dimLine e s) (dimPline e s)) (ssdel e ss) ) (setvar "osmode" oldos) (princ) ) ATD.LSP Giong kich thuoc cac Block.dwg
×